Subject: I-D Action: draft-tiloca-core-observe-multicast-notifications-00.txt

From: [email-masked]
Date: Sat, 06 Jul 2019 02:33:00 -0700

A New Internet-Draft is available from the on-line Internet-Drafts directories.

        Title           : Observe Notifications as CoAP Multicast Responses
        Authors         : Marco Tiloca
                          Rikard Hoeglund
                          Christian Amsuess
                          Francesca Palombini
	Filename        : draft-tiloca-core-observe-multicast-notifications-00.txt
	Pages           : 18
	Date            : 2019-07-06

Abstract:
   The Constrained Application Protocol (CoAP) allows clients to
   "observe" resources at a server, and receive notifications as unicast
   responses upon changes of the resource state.  In some use cases,
   such as based on publish-subscribe, it would be convenient for the
   server to send a single notification to all the clients observing a
   same target resource.  This document defines how a CoAP server sends
   observe notifications as response messages over multicast, by
   synchronizing all the observers of a same resource on a same shared
   Token value.  Besides, this document defines how Group OSCORE can be
   used to protect multicast notifications end-to-end from the CoAP
   server to the multiple CoAP clients registered as observers.

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-tiloca-core-observe-multicast-notifications/

There are also htmlized versions available at:
https://tools.ietf.org/html/draft-tiloca-core-observe-multicast-notifications-00
https://datatracker.ietf.org/doc/html/draft-tiloca-core-observe-multicast-notifications-00

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org.

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/